Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-1404

Overview

Vulnerability Score 7.5 7.5
CVE Id CVE-2004-1404
Last Modified 05 Sep 2008 04:41:16
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-1404

Summary

Attachment Mod 2.3.10 module for phpBB, when used with Apache mod_mime, does not properly handle files with multiple file extensions, such as .php.rar, which allows remote attackers to upload and execute arbitrary code.

Vulnerable Systems

Application

  • Opentools Attachment Mod 2.3.10

  • Opentools Attachment Mod 2.3.4

  • Opentools Attachment Mod 2.3.5

  • Opentools Attachment Mod 2.3.6

  • Opentools Attachment Mod 2.3.7

  • Opentools Attachment Mod 2.3.8

  • Opentools Attachment Mod 2.3.9


References

BID - 11893

CONFIRM - http://www.opentools.de/board/viewtopic.php?t=3590

SECUNIA - 13421

BUGTRAQ - 20041216 STG Security Advisory: [SSA-20041215-18] Vulnerability of uploading files with multiple extensions in phpBB Attachment Mod

XF - attachment-mod-file-upload(18438)


Last Updated: 27 May 2016 10:39:01